Get All Virtual Accounts

GET /v0/customers/{customer_id}/virtual-account

Returns list of Virtual Accounts for a customer.

Endpoint /v0/customers/{customer_id}/virtual-account

Request example (HTTP)

Request (HTTP)
GET /v0/customers/{customer_id}/virtual-account HTTP/1.1
Host: gateway.noxxo.com
Authorization: text
Accept: */*

Path parameters

  • customer_id (string, required) The unique identifier of the customer.

Header parameters

  • Authorization (string, required) Token for authentication.

Responses

200 — Successful retrieval of virtual accounts Content-Type: application/json

Response object example

Response (200)
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "status": "active",
      "destination_token": "usdc",
      "destination_network": "polygon",
      "destination_address": "text",
      "deposit_instructions": {
        "payment_rails": [
          "sepa"
        ],
        "currency": "eur",
        "bank_name": "text",
        "bank_address": "text",
        "account_holder_name": "text",
        "iban": {
          "bic": "text",
          "iban_number": "text"
        }
      }
    }
  ]
}

Last updated